跳到主要内容

域名历史记录

检索在特定 ZCash name 上执行的操作(例如注册和更新)的历史日志。

端点

POST https://indexer.zcashnames.co/v1.0/history/richard.zcash

路径参数

参数类型必填描述
domain_namestring是的要查询历史记录的 Zcash 域(例如 richard.zcash)。

请求正文

请求正文必须是包含以下参数的 JSON 对象:

参数类型默认描述
countinteger限制单个响应中返回的最大项目数。
from_block_idinteger请求从该特定块高度开始的历史日志。
orderstringdesc历史日志的排序顺序。接受的值:ascdesc

代码示例

curl -X POST https://indexer.zcashnames.co/v1.0/history/richard.zcash \
-H "Content-Type: application/json" \
-d '{
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}'

响应示例

{
"response": [
{
"domain_block_id": 3422326,
"target_address": "u1497pm907qr0mnde0pusv4fy8eg0tagur9yrcwkj28qjpqp42qdeght6kwlkeu5np522h5v7473533za8w9ne36yqr42dfa6jlveeg5ya",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "388241ffc5bf8ba3d7633d132298d157e26d6ac127ff8d162f26e7203084df08",
"op": "REG",
"nonce": 1784808228,
"price": 0
},
{
"domain_block_id": 3422369,
"target_address": "u1497pm907qr0mnde0pusv4fy8eg0tagur9yrcwkj28qjpqp42qdeght6kwlkeu5np522h5v7473533za8w9ne36yqr42dfa6jlveeg5ya",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "4d5419af400966616ba9325f78bb3cac2ff1229fd4d39ed022a9fc113ee4b67e",
"op": "LST",
"nonce": 1784812534,
"price": 200000
},
{
"domain_block_id": 3422421,
"target_address": "u157q45z9fwy7349t5r7w4d0tpmdzhw6xvuwm4ucqq80ysftk9wxryrru0l7puxpdlujnkmj5d9ewzaxz5x6slfg3xys4egayx7vry57wd",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "3834eb36ca816f1bd9074c546ec64b3a361aca67e88c35b1586fe4ec1ae60095",
"op": "BUY",
"nonce": 1784815586,
"price": 0
},
{
"domain_block_id": 3423248,
"target_address": "u157q45z9fwy7349t5r7w4d0tpmdzhw6xvuwm4ucqq80ysftk9wxryrru0l7puxpdlujnkmj5d9ewzaxz5x6slfg3xys4egayx7vry57wd",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "3c08640ed394b1a270abddcc3ca873c13793629c6a148ad0b5585003ca9e632a",
"op": "LST",
"nonce": 1784878114,
"price": 10012345678
},
{
"domain_block_id": 3423248,
"target_address": "u157q45z9fwy7349t5r7w4d0tpmdzhw6xvuwm4ucqq80ysftk9wxryrru0l7puxpdlujnkmj5d9ewzaxz5x6slfg3xys4egayx7vry57wd",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "9ad75f893c002f21e9bbc3c6cdf4e151477293d64a013aa773db26598c1d5d11",
"op": "ULT",
"nonce": 1784878293,
"price": 0
}
]
}
领域类型描述
domain_block_id整数操作的 ZCash block_id
target_address字符串正在解析 ZCash 地址
op字符串对名称
owner_pubkey字符串名称所有者的公钥
domain_tx字符串名称注册的 Zcash 交易哈希
nonce整数增加操作的时间戳
price整数域名的售价(LST 或 BUY),否则为 0